require "metric_admin/version"

module MetricAdmin
  class << self
    attr_accessor :logger
    attr_accessor :configuration
  end

  def self.configure
    self.configuration ||= Configuration.new
    yield(configuration)
  end

  def self.logger
    @logger ||= Logger.new($stdout).tap do |log|
      log.progname = self.name
    end
  end

  class Configuration
    
  end
end
